Package org.apache.lucene.facet.facetset

## Class DoubleFacetSet

- java.lang.Object
- - org.apache.lucene.facet.facetset.FacetSet
  - - org.apache.lucene.facet.facetset.DoubleFacetSet

-     public class DoubleFacetSet
      extends FacetSet

  A `FacetSet` which encodes double dimension values.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `double[]` | `values` | The raw dimension values of this facet set.

    - ### Fields inherited from class org.apache.lucene.facet.facetset.FacetSet

      `dims`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DoubleFacetSet​(double... values)` | Constructs a new instance of a facet set which stores `double` dimension values.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long[]` | `getComparableValues()` | Returns the dimension values in this facet set as comparable longs.

    - ### Methods inherited from class org.apache.lucene.facet.facetset.FacetSet

      `packValues, sizePackedBytes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### values

          public final double[] values

      The raw dimension values of this facet set.

  - ### Constructor Detail

    - #### DoubleFacetSet

          public DoubleFacetSet​(double... values)

      Constructs a new instance of a facet set which stores `double` dimension values.

  - ### Method Detail

    - #### getComparableValues

          public long[] getComparableValues()

      Description copied from class: `FacetSet`
      Returns the dimension values in this facet set as comparable longs.
      Specified by:
        `getComparableValues` in class `FacetSet`